using System.Diagnostics.CodeAnalysis;
using Cocona;

namespace Terminal.Commands;

[SuppressMessage("ReSharper", "ClassNeverInstantiated.Global")]
public class VersionCommands
{
    [Command(Aliases = ["ver"], Description = "Show the version of the OpenAPI Client Builder")]
    public void Version() => ShowVersion();

    public static void ShowVersion()
    {
        Console.WriteLine($"OpenAPI Client Builder v1.0.0, built using .NET {Environment.Version}.");
    }
}